package addressbook;

import org.w3c.dom.Node;

import com.neocore.httpclient.XMLEncoder;

public class UserBean {

	private String id = ""; // ID

	private String name = ""; // ̾

	private String password = ""; // ѥ

	/**
	 * 󥹥ȥ饯 XprioriuserΡɤϤѿꤹ 
	 * @param usernode
	 */
	public UserBean(Node usernode) {
			if(usernode != null && usernode.getNodeName().equals("user")){
				// ID
				this.setID(XMLEncoder.xmlUnencode(usernode.getAttributes().getNamedItem("id").getNodeValue()));
				// ̾
				this.setName(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(usernode,"name").getFirstChild().getNodeValue()));
				// ѥɤ
				this.setPassword(XMLEncoder.xmlUnencode(AddressbookUtils.getChildNodeByTagName(usernode,"password").getFirstChild().getNodeValue()));
			}
	}
	
	/**
	 * ǥեȥ󥹥ȥ饯
	 */
	public UserBean() {
	}

  /**
   * ID򥻥å
   * @param id
   */	
	public void setID(String id) {
		this.id = id;
	}

	/**
	 * ID򥲥å
	 * @return ID
	 */
	public String getID() {
		return this.id;
	}

	/**
	 * ̾򥻥å
	 * @param name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * ̾򥲥å
	 * @return
	 */
	public String getName() {
		return this.name;
	}
	
	/**
	 * ѥɤ򥻥å
	 * @param password
	 */
	public void setPassword(String password) {
		this.password = password;
	}

	/**
	 * ѥɤ򥲥å
	 * @return
	 */
	public String getPassword() {
		return this.password;
	}

	/**
	 * 桼xml
	 * @return userXML
	 */
	public String getUserXML() {
		String userXML = "<user id=\"" + XMLEncoder.xmlEncode(this.getID()) + "\">" + "<name>"
				+ XMLEncoder.xmlEncode(this.getName()) + "</name>"
				+ "<password>" + XMLEncoder.xmlEncode(this.getPassword()) + "</password>"
				+ "</user>";
		return userXML;
	}
}
